Bug 139110 - Eclipse import plugin mangles non-ASCII Charsets in UTF-8 projects
Eclipse import plugin mangles non-ASCII Charsets in UTF-8 projects
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Eclipse project importer
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: David Konecny
issues@platform
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-07 09:35 UTC by jiai
Modified: 2008-07-10 01:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jiai 2008-07-07 09:35:04 UTC
Following Situation:
Workstation: cp1252 encoding
Eclipse Ganymede: Text file encoding utf-8
Netbeans: 6.1 Encoding utf-8

Netbeans mangles the non-ASCII characters when working on an imported Eclipse project!
I gave it a P1 priority because this means data loss when you are working with non-ASCII-Charsets. Usually you'll have
to reconstruct this data loss by hand.

You are more or less forced to use utf-8 on web applications. I can't understand why a different encoding between
application and host/workstation is such a huge problem for the IDE developers? I've filed a report about another utf-8
problem in Eclipse and especially Netbeans reports are full of utf-8 issues.

Product Version: NetBeans IDE 6.1 (Build 200804211638)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: Windows XP version 5.1 running on x86; Cp1252; de_DE (nb)

All current patches applied.
Comment 1 David Konecny 2008-07-07 21:54:55 UTC
Fixed by Jesse week or two ago - encoding specified in eclipse project (if any) is used also by NetBeans. Btw. Eclipse
Import is being significantly improved for NB6.5.
Comment 2 Jesse Glick 2008-07-07 22:05:24 UTC
Or should have been fixed at least. Independent verification in a 6.5 dev build would be appreciated.
Comment 3 jiai 2008-07-08 09:05:55 UTC
And when it is backported to Netbeans 6.1? I was nearly one year at the bleeding edge of Netbeans and now I have to be
productive the next months. A M1 milestone - especially at Netbeans - isn't something which I want to use for productive
work. 
Comment 4 David Konecny 2008-07-08 10:17:34 UTC
Re. "when it is backported to Netbeans 6.1" - I'm not aware of any plans to backport any bugfixes in Eclipse import to
6.1. Isn't all what you need is to import Eclipse project to NB and then in project properties (before opening any
source) adjust source encoding and you are done?
Comment 5 jiai 2008-07-09 22:02:09 UTC
No, after some changes the non-ASCII chraracters are mangled - it's somehow erratic, I didn't founnd any pattern when it
habppens. But it happens - unexpected, perfidious...  
Comment 6 David Konecny 2008-07-10 01:45:16 UTC
That sounds like general editor problem which should not be limited to just projects imported from Eclipse. If you find
a reproducible case please open a new issue directly on editor. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo